> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/fr/developper/chiliz-chain-api.md).

# API Chiliz Chain

L'API Chiliz Chain fournit un accès à des informations utiles sur l'offre de CHZ et la gouvernance, notamment les détails de l'offre en circulation jusqu'à un bloc spécifique et les informations de staking pour une adresse donnée.

## Détails de l'API

### URL de base

L'URL de base de l'API est <https://cc-api.chiliz.com/>

La documentation Swagger par défaut est disponible ici : <https://cc-api.chiliz.com/docs>

### Authentification

L'API Chiliz Chain utilise la [Spécification OpenAPI](https://www.openapis.org/) (OAS) v3.0.3 pour définir ses schémas de sécurité.

Veuillez vous référer à la [spécification OAS 3.0](https://spec.openapis.org/oas/v3.0.3.html) pour des détails sur la manière de vous authentifier, car les méthodes d'authentification spécifiques ne sont pas détaillées dans cette documentation.

### Format des données

Toutes les requêtes et réponses sont au format JSON.

## Endpoints

### GET /supply

Récupère l'offre circulante actuelle de CHZ jusqu'à un numéro de bloc spécifié, ainsi que les informations d'inflation et de déflation propres à ce bloc.

## GET /supply

>

```json
{"openapi":"3.0.3","info":{"title":"Chiliz Chain API","version":"0.1.0"},"paths":{"/supply":{"get":{"parameters":[{"schema":{"type":"number"},"in":"query","name":"block","required":false}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"block":{"type":"string"},"totalSupply":{"type":"string"},"blockDeflation":{"type":"string"},"blockInflation":{"type":"string"},"totalBurnedSupply":{"type":"string"},"totalIntroducedSupply":{"type":"string"}},"required":["block","totalSupply","blockDeflation","blockInflation","totalBurnedSupply","totalIntroducedSupply"],"additionalProperties":false}}}}}}}}}
```

### GET /staker-info

Récupère le montant total actuellement staké et les récompenses de staking pour une adresse spécifique jusqu'à un certain numéro d'epoch, ainsi que les détails indiquant où les CHZ sont stakés (validators et montants).

## GET /staker-info

>

```json
{"openapi":"3.0.3","info":{"title":"Chiliz Chain API","version":"0.1.0"},"paths":{"/staker-info":{"get":{"parameters":[{"schema":{"type":"string"},"in":"query","name":"validator","required":false},{"schema":{"type":"string"},"in":"query","name":"staker","required":true},{"schema":{"type":"number"},"in":"query","name":"toEpoch","required":false}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"totalRewards":{"type":"string"},"stakedAmount":{"type":"string"},"allStakes":{"type":"array","items":{"type":"object","properties":{"validator":{"type":"string"},"stakedAmount":{"type":"number"}},"required":["validator","stakedAmount"],"additionalProperties":false}}},"required":["totalRewards","stakedAmount","allStakes"],"additionalProperties":false}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chiliz.com/fr/developper/chiliz-chain-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
